List customer subscriptions
curl --request GET \
--url https://api.creem.io/v1/customers/{id}/subscriptions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.creem.io/v1/customers/{id}/subscriptions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.creem.io/v1/customers/{id}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"object": "subscription",
"product": {
"id": "<string>",
"object": "<string>",
"name": "<string>",
"description": "This is a sample product description.",
"price": 400,
"currency": "USD",
"billing_type": "recurring",
"billing_period": "every-month",
"tax_mode": "inclusive",
"tax_category": "saas",
"created_at": "2023-01-01T00:00:00Z",
"updated_at": "2023-01-01T00:00:00Z",
"image_url": "https://example.com/image.jpg",
"features": [
{
"id": "feat_abc123",
"type": "licenseKey",
"description": "Access to premium course materials."
}
],
"product_url": "https://creem.io/product/prod_123123123123",
"default_success_url": "https://example.com/?status=successful",
"custom_fields": [
{
"key": "<string>",
"label": "<string>",
"optional": true,
"text": {
"max_length": 123,
"minimum_length": 123,
"value": "<string>"
},
"checkbox": {
"label": "<string>",
"value": true
}
}
]
},
"customer": {
"id": "<string>",
"object": "<string>",
"email": "user@example.com",
"country": "US",
"created_at": "2023-01-01T00:00:00Z",
"updated_at": "2023-01-01T00:00:00Z",
"name": "John Doe",
"metadata": {
"key": "value"
}
},
"collection_method": "charge_automatically",
"status": "active",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-09-12T12:34:56Z",
"items": [
{
"id": "<string>",
"object": "<string>",
"product_id": "<string>",
"price_id": "<string>",
"units": 123
}
],
"last_transaction_id": "tran_3e6Z6TzvHKdsjEgXnGDEp0",
"last_transaction": {
"id": "<string>",
"object": "transaction",
"amount": 2000,
"currency": "USD",
"created_at": 123,
"amount_paid": 2000,
"discount_amount": 2000,
"tax_country": "US",
"tax_amount": 2000,
"refunded_amount": 2000,
"order": "<string>",
"subscription": "<string>",
"customer": "<string>",
"description": "<string>",
"period_start": 123,
"period_end": 123
},
"last_transaction_date": "2024-09-12T12:34:56Z",
"next_transaction_date": "2024-09-12T12:34:56Z",
"current_period_start_date": "2024-09-12T12:34:56Z",
"current_period_end_date": "2024-09-12T12:34:56Z",
"canceled_at": "2024-09-12T12:34:56Z",
"discount": {
"id": "dis_3e6Z6TzvHKdsjEgXnGDEp0",
"discountCode": "HOLIDAY2024",
"name": "<string>",
"amount": 123,
"durationInMonths": 123
},
"metadata": {
"userId": "user_123",
"plan": "pro"
}
}
],
"pagination": {
"total_records": 0,
"total_pages": 0,
"current_page": 1,
"next_page": 2,
"prev_page": null
}
}List customer subscriptions
Retrieve a paginated list of subscriptions for a specific customer.
GET
/
v1
/
customers
/
{id}
/
subscriptions
List customer subscriptions
Authorizations
API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.
Path Parameters
The unique identifier of the customer
Query Parameters
The page number for pagination.
Example:
1
The number of items per page.
Example:
10
āI